CREATE TABLE IF NOT EXISTS `ns_boxes` (
  `id`             int(8) unsigned NOT NULL AUTO_INCREMENT,
  `name`           varchar(128) NOT NULL,
  `security_level` mediumint(9) NOT NULL DEFAULT '0',
  `title`          varchar(256) NOT NULL DEFAULT '',
  `comment`        varchar(256) NOT NULL DEFAULT '',
  `type` 	   varchar(64) NOT NULL DEFAULT '',
  `model` 	   varchar(128) NOT NULL,
  `query_params`   mediumtext NOT NULL,
  `limit` 	   int(11) DEFAULT '5',
  `template` 	   mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
