CREATE TABLE IF NOT EXISTS `ns_events` (
  `event_id`          mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `event_type`        varchar(32)           NOT NULL,
  `event_subtype`     varchar(32)           DEFAULT NULL,
  `related_id`        mediumint(8) unsigned DEFAULT NULL,
  `source_user_id`    mediumint(8) unsigned DEFAULT NULL,
  `created_timestamp` timestamp             NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `priority`          tinyint(4)            DEFAULT '0',
  `active`            tinyint(4)            NOT NULL DEFAULT '1',
  `result`            tinyint(4)            DEFAULT NULL,
  PRIMARY KEY (`event_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
