CREATE TABLE IF NOT EXISTS `users_index` (
  `uid`                      mediumint(8) unsigned NOT NULL DEFAULT '0',
  `story_never_topic`        mediumtext            NOT NULL,
  `story_never_author`       varchar(255)          NOT NULL DEFAULT '',
  `story_never_nexus`        varchar(255)          NOT NULL DEFAULT '',
  `slashboxes`               mediumtext            NOT NULL,
  `maxstories`               tinyint(3) unsigned   NOT NULL DEFAULT '30',
  `noboxes`                  tinyint(4)            NOT NULL DEFAULT '0',
  `story_always_topic`       mediumtext            NOT NULL,
  `story_always_author`      varchar(255)          NOT NULL DEFAULT '',
  `story_always_nexus`       varchar(255)          NOT NULL DEFAULT '',
  `story_brief_best_nexus`   varchar(255)          NOT NULL DEFAULT '',
  `story_full_brief_nexus`   varchar(255)          NOT NULL DEFAULT '',
  `story_brief_always_nexus` varchar(255)          NOT NULL DEFAULT '',
  `story_full_best_nexus`    varchar(255)          NOT NULL DEFAULT '',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC
