package Newslash::Plugin::GoogleAnalytics;
use Mojo::Base 'Mojolicious::Plugin';

sub register {
    my ($self, $app, $conf) = @_;

    $self->{conf} = {%$conf, %{$app->config->{Analytics}}};
    $self->{app} = $app;

    if ($app->config->{TT2Renderer}) {
        my $tt2r = $app->config->{TT2Renderer}->{self};
        $tt2r->add_object(Analytics => $self->{conf});
    }

    $app->helper(google_analytics => sub { state $google_analytics = $self; });
}

1;
