package Newslash::Web::Controller::Admin::Firehose;
use Mojo::Base 'Mojolicious::Controller';
use Data::Dumper;

sub single {
    my $c = shift;
    my $id = $c->stash('id');
    if (!$id) {
        $c->render('Not found', status => '404');
        return;
    }
    my $item = $c->model('timeline')->select(id => $id);

    if (!$item) {
        $c->render('Not found', status => '404');
        return;
    }

    $c->render(story => $item);
}


1;

