package Newslash::Web::Controller::Example;
use Mojo::Base 'Mojolicious::Controller';

# This action will render a template
sub welcome {
  my $c = shift;

  # Render template "example/welcome.html.ep" with message
  my $user = $c->session('user');
  if ($user) {
      $c->render(msg => "Welcome to the Mojolicious real-time web framework!, $user->{nickname}.");
  } else {
      $c->render(msg => 'Welcome to the Mojolicious real-time web framework!');
  }
}

1;
