var statusBar = {};

statusBar.init = function init() {
  $('#status-bar').hide();
  $('#status-bar-remove-icon').hide();
  $('#status-bar-loading-icon').hide();
  $('#status-bar-ok-icon').hide();
  $('#status-bar-error-icon').hide();
  $('#status-bar-message').text("");
};

statusBar.loading = function loading(message) {
  message = message || '';
  $('#status-bar-remove-icon').hide();
  $('#status-bar-loading-icon').show();
  $('#status-bar-ok-icon').hide();
  $('#status-bar-error-icon').hide();
  $('#status-bar-message').text(message);
  $('#status-bar').show();
};

statusBar.error = function error(message) {
  message = message || '';
  $('#status-bar-remove-icon').show();
  $('#status-bar-loading-icon').hide();
  $('#status-bar-ok-icon').hide();
  $('#status-bar-error-icon').show();
  $('#status-bar-message').text(message);
  $('#status-bar').show();
};


statusBar.done = function done(message) {
  message = message || '';
  $('#status-bar-remove-icon').show();
  $('#status-bar-loading-icon').hide();
  $('#status-bar-ok-icon').show();
  $('#status-bar-error-icon').hide();
  $('#status-bar-message').text(message);
  $('#status-bar').show();
};

statusBar.hide = function hide() {
  $('#status-bar').hide();
  $('#status-bar-remove-icon').hide();
  $('#status-bar-loading-icon').hide();
  $('#status-bar-ok-icon').hide();
  $('#status-bar-error-icon').hide();
  $('#status-bar-message').text("");
};

$(document).ready(function () {
  $('#status-bar-remove-icon').on('click', function () {
    statusBar.hide();
  });
});

statusBar.init();
var statusIndicator = statusBar;
