const helper = require('../newslash-test-helper');

describe('Post submittion', function () {

  before(async () => { await helper.init(); });
  after(async () => { await helper.done(); });

  describe('Submittion posting', function () {
    this.timeout(5000);
    const title = `test at ${(new Date()).toISOString()}`;
    const body = "This is test submission. これはテストタレコミです。\n\n" +
            "<a href='http://example.com/'>タグのテスト</a>";
    const url = "http://example.com/";
    const mail = "";
    const tag = "foo bar hoge news";

    it('succeeds', async function () {
      await helper.postSubmission({ title: title,
                                    body: body,
                                    url: url,
                                    mail: mail,
                                    tag: tag, });
    });
  });
});
