CREATE TABLE IF NOT EXISTS `topics` (
  `tid`           int(10) unsigned     NOT NULL AUTO_INCREMENT,
  `keyword`       varchar(20)          NOT NULL DEFAULT '',
  `textname`      varchar(80)          NOT NULL DEFAULT '',
  `series`        enum('no','yes')     NOT NULL DEFAULT 'no',
  `image`         varchar(100)         NOT NULL DEFAULT '',
  `width`         smallint(5) unsigned NOT NULL DEFAULT '0',
  `height`        smallint(5) unsigned NOT NULL DEFAULT '0',
  `submittable`   enum('no','yes')     NOT NULL DEFAULT 'yes',
  `searchable`    enum('no','yes')     NOT NULL DEFAULT 'yes',
  `storypickable` enum('no','yes')     NOT NULL DEFAULT 'yes',
  `usesprite`     enum('no','yes')     NOT NULL DEFAULT 'no',
  PRIMARY KEY (`tid`),
  UNIQUE KEY `keyword` (`keyword`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC


