CREATE TABLE IF NOT EXISTS `al2_types` (
  `al2tid` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `bitpos` tinyint(3) unsigned DEFAULT NULL,
  `name` varchar(30) NOT NULL DEFAULT '',
  `title` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`al2tid`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `bitpos` (`bitpos`)
) DEFAULT CHARSET=utf8mb4;

INSERT INTO `al2_types` VALUES (1,NULL,'comment','Comment'),(2,0,'ban','Ban'),(3,1,'expired','Expired'),(4,2,'nopost','No Comment Post'),(5,3,'nopalm','No Palm'),(6,4,'norss','No RSS'),(7,5,'nosubmit','No Story Submit'),(8,6,'trusted','Trusted'),(9,7,'proxy','Valid Proxy'),(10,8,'nopostanon','No Comment Post Anon'),(11,9,'spammer','Spammer'),(12,10,'nom1','No Moderation'),(13,11,'openproxy','Open Proxy');
