package Newslash::Util::Formatters;

## this module is deprecated. use NewslashHelpers::_format_timestamp.

use strict;
use warnings;
use utf8;
use feature ':5.10';

use Exporter 'import';

our @EXPORT_OK = qw(datetime_to_string parse_mysql_datetime);
use Data::Dumper;
use DateTime;
use DateTime::Format::MySQL;

sub datetime_to_string {
    my ($date_string, $offset) = @_;
    my $dt = parse_mysql_datetime($date_string);
    return "" if !$dt;

    $offset ||= 0;
    $dt->set_time_zone('UTC');
    $dt->set_time_zone('Asia/Tokyo');
    return $dt->strftime('%Y年%m月%e日 %k時%M分');
}

sub parse_mysql_datetime {
    my $date_string = shift;

    return if !$date_string;

    my ($date, $time) = split(" ", $date_string);
    return if !$date || !$time;
    my ($y, $m, $d) = split("-", $date);
    return if !$y || !$m || !$d;
    return if !($y + 0) || !($m + 0) || !($d + 0);
    return DateTime::Format::MySQL->parse_datetime($date_string);
}

1;
