/* ui.js */

window.addEventListener("load", function () {
  domUtil.addEventListenerByClass("dropdown",
                                  "click",
                                  function (ev) {
                                    var target = ev.target;
                                    if (target.classList.contains("dropdown")) {
                                      target.classList.toggle('open');
                                      ev.preventDefault();
                                    } else if (target.parentElement.classList.contains("dropdown")) {
                                      target.parentElement.classList.toggle('open');
                                      ev.preventDefault();
                                    }
                                    return;
                                  });

  domUtil.addEventListenerByClass("dropdown-toggle",
                                  "click",
                                  function (ev) {
                                    var target = ev.target;
                                    while (!target.classList.contains("dropdown")) {
                                      target = target.parentElement;
                                      if (!target) {
                                        return;
                                      }
                                    }
                                    target.classList.toggle('open');
                                    ev.preventDefault();
                                    return;
                                  });

});


