/* index.js */
var userProfile = {};

userProfile.run = function run (params) {
  var vm;
  var data = {
    relation: params.relation || 0,
    status: "",
    theUID: params.theUID,
    secToken: params.secToken,
    urls: {
      relation: '/api/v1/relation',
    },
  };
  var computed = {};
  var methods = {
    updateRelation: function () {
      var postData = {
        target_id: this.theUID,
        action: "update",
        sec_token: this.secToken,
      };
      if (this.relation == 0) {
        postData.relation = "none";
      } else if (this.relation == 1) {
        postData.relation = "friend";
      } else if (this.relation == 2) {
        postData.relation = "foe";
      }

      var url = this.urls.relation;
      this.$http.post(url, postData).then(
        (response) => { // success
          this.status = "saved";
        },
        (response) => { // fail
          if (response.body.error && response.body.sec_token) {
            this.secToken = response.body.sec_token;
            this.updateRelation();
          }
          if (response.body.message) {
            this.status = "failed";
          }
        }
      );

    },
  };
  vm = new Vue({el: params.el,
                data: data,
                methods: methods,});
};

