# -*-Perl-*-
# Sendmail plugin tests

use Mojo::Base -strict;
use Test::More;
use Test::Mojo;
use Data::Dumper;

my $t = Test::Mojo->new('Newslash::Web');

subtest 'get wiki content' => sub {
    my $p = $t->app->wiki_reader->_read("about");
    ok($p, "read content");

    $p = $t->app->wiki_reader->get("about");
    ok($p, "get content");
    ok($p->{title}, "get title");
    ok($p->{body}, "get body");
    is($p->{page_name}, "about", "get page_name");
};


done_testing();
